Add Watcher based on issue category

2010-05-23 21:22 - Burt Culver

Status: New Start date: 2010-05-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

We'd like the ability to add certain people as watchers to issues in particular categories. The members should be able to unwatch if

they choose. For example, user John wants to be added to all issues put into the "Marketing" category. When a new ticket is created

in "Marketing" he should be added as a watcher and if a ticket is changed to "Marketing" he should be added as a watcher.

Related issues:

Related to Redmine - Feature #6723: Auto-add default assignee of Issue catego... New 2010-10-22

Related to Redmine - Feature #31826: Option to set the default watchers for e... New

Has duplicate Redmine - Feature #7315: New Category -  Watchers option featur... Closed 2011-01-13

History

#1 - 2010-10-27 18:40 - Brian Heasley

+1

I'd like to see this feature expanded to allow a default watcher on all issues in a project as well.

#2 - 2011-10-31 04:30 - Nayuta Taga

+1

related to #6723

#3 - 2011-11-02 23:15 - Terence Mill

Very useful just in case a team is formed around a category, and in case someone goes to holiday and his collegque shal overtahe his works(new

issues) for a category.

+1

#4 - 2012-02-02 10:00 - Nayuta Taga

- File category_watchers_patch-20120202-trunk_r8748.patch added

I wrote a patch for this problem.

In the issue category settings,

we can select default watchers for the category.

Then in the new issue,

default watchers are checked and hilighted according to the category.

#5 - 2012-02-02 10:00 - Nayuta Taga

- File category_watchers_patch-20120202-tags_1.3.0.patch added

#6 - 2012-02-02 10:01 - Nayuta Taga

- File category_watchers_patch-20120202-trunk_r8748-setting.png added

#7 - 2012-02-02 10:01 - Nayuta Taga

- File category_watchers_patch-20120202-trunk_r8748-new_issue.png added

#8 - 2012-02-02 12:32 - Terence Mill

+1
#9 - 2012-05-30 15:39 - Anjali Hastha

Any updates for ver 1.4? I am having trouble with code in patch related to app/views/issues/_form.html.erb

#10 - 2012-06-01 10:57 - Nayuta Taga

Anjali Hastha wrote:

Any updates for ver 1.4? I am having trouble with code in patch related to app/views/issues/_form.html.erb

 I am working for new versions.  Please wait a minute.

#11 - 2012-06-02 10:40 - Nayuta Taga

- File category_watchers_patch-20120602-trunk_r9748.patch added

- File category_watchers_patch-20120602-branches_1.4-stable_r9748.patch added

Patches for Redmine 1.4.2 and trunk.

I fixed some bugs in my previous patches, and added some tests.

#12 - 2012-06-02 12:09 - Terence Mill

Thanks for this patch. Hoever i think watching and following notification (mail) for al by user readable attribites (as category) shall be configurable by

every user himself.

See also #8241

#13 - 2012-06-02 14:04 - Nayuta Taga

Terence Mill wrote:

Thanks for this patch. Hoever i think watching and following notification (mail) for al by user readable attribites (as category) shall be configurable

by every user himself.

 You are right.

I notice that my patches are not fulfill what this ticket's reporter wanted to do.

They simply simulate Bugzilla's category default CC.

Please forget them, sorry.

#14 - 2013-07-25 09:25 - an an

app/views/watchers/_new.html.erb

<% form_remote_tag :url => {:controller => 'watchers',

                             :action => (watched ? 'create' : 'append'),

-                            :object_type => watched.class.name.underscore,

+                            :object_type => (watched_type ? watched_type.name.underscore : watched.class.name

.underscore),

 When create new issue, click Search for watchers to add and it does not add to the list.

And it does not work stable with redmine_anonymous_watchers plugin

#15 - 2014-12-03 12:17 - Luís Fontes

I've just created a plugin to do it.

Hope it helps you

http://www.redmine.org/plugins/redmine_category_watchers

#16 - 2018-02-22 21:37 - Fred B

Any idea how to get that working on Redmine 2.4.3?

#17 - 2020-01-06 02:36 - Go MAEDA

- Related to Feature #31826: Option to set the default watchers for each Category added

Files

category_watchers_patch-20120202-trunk_r8748.patch 7.82 KB 2012-02-02 Nayuta Taga
category_watchers_patch-20120202-tags_1.3.0.patch 7.96 KB 2012-02-02 Nayuta Taga

category_watchers_patch-20120202-trunk_r8748-setting.png 7.28 KB 2012-02-02 Nayuta Taga

category_watchers_patch-20120202-trunk_r8748-new_issue.png 13.3 KB 2012-02-02 Nayuta Taga

category_watchers_patch-20120602-trunk_r9748.patch 20.8 KB 2012-06-02 Nayuta Taga

category_watchers_patch-20120602-branches_1.4-stable_r9748.patch19.2 KB 2012-06-02 Nayuta Taga
